ようこそ! Geeklog Japan Wednesday, May 23 2018 @ 03:32 AM UTC


 Monday, January 15 2018 @ 01:38 PM UTC (参照数 801回)  

状態: オフライン

kuro

Forum User

Active Member
登録日: 03/10/10
投稿数: 351
いつもお世話になります。
今日、WebARENA suiteXサーバにて、
これまでのGeeklog 1.7.0で運営していたサイトを
2.1.3 にバージョンアップしてみたのですが、
最後にエラーが出てしまいました。

しかし、そのまま、index.phpにアクセスすると、
新しいver でサイトが表示され、その後は目立ったエラーは出ず。

プラグインは全部無効にしてからアップデートしたはずだったのですが、
新しいバージョンにしかないプラグイン(databox、downloads、monitor)が
勝手に?インストール・有効されちゃいまして、エラーはそのせいなのでしょうか??

error.logを見ると、
PHP Formatted Code

20180115141902- 自分のIP -
1115: Unknown character set: 'utf8mb4' in /virtual/111.89.136.68/home/admin/install/classes/installer.class.php:1119. SQL
 in question: CREATE TABLE gl_paypal_ipnlog (
    id int auto_increment,
    ip_addr varchar(15) NOT NULL,
    time datetime NOT NULL,
    verified tinyint(1) default '0',
    txn_id varchar(127),
    ipn_data text NOT NULL,
    PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
 


インストールしなおした方がいいのでしょうか?

 Monday, January 15 2018 @ 01:44 PM UTC  

状態: オフライン

kuro

Forum User

Active Member
登録日: 03/10/10
投稿数: 351
何度もすいません。
 

新しいバージョンにしかないプラグイン(databox、downloads、monitor)


上の3つ以外にも「paypal」がインストールされたみたいですが、
error.logのようにpaypalプラグイン インストールの際にエラーが出たみたいですね。

 Monday, January 15 2018 @ 03:31 PM UTC  

状態: オフライン

Ivy

Site Admin

管理者
登録日: 01/01/04
投稿数: 5809
場所:Tokyo
そのようですね。

CHARSET=utf8mb4 で出たというのであれば、sql のインストール用のsqlからCHARSET=utf8mb4をすべて削除して
インストールしてどうなるでしょうか。
CHARSET=utf8mb4 があっても、こちらの環境では問題ないのですが、サーバーによってできないのdしょうか....

プラグインを絶対にインストールしたくない場合は、/admin/plugins/ 以下に、なにもファイルを置かない、が安全です。

ともかくアップグレードで失敗したら、面倒でもsqlをもどして再度アップグレードをお願いします。

テーマのディレクトリ名も注意してください。テーマが無ければいきなり、アップグレード後エラーになります。

テーマのディレクトリ名を変更したらfunctions.phpの、関数名6か所を、ディレクトリ名に置換しておくことも忘れないようお願いします。

 Tuesday, January 16 2018 @ 12:24 AM UTC  

状態: オフライン

kuro

Forum User

Active Member
登録日: 03/10/10
投稿数: 351
Ivyさん、いつもありがとうございます。

アップグレードのやり直しですが、
データベースをアップデートする前にバックアップで戻しますが、

FTPでアップロードした 2.1.3のデータも
アップし直してから
アップグレードした方がいいのでしょうか?

 Tuesday, January 16 2018 @ 12:25 AM UTC  

状態: オフライン

Ivy

Site Admin

管理者
登録日: 01/01/04
投稿数: 5809
場所:Tokyo
データベースだけ、です。
ソースはそのままで。

 Tuesday, January 16 2018 @ 12:27 AM UTC  

状態: オフライン

kuro

Forum User

Active Member
登録日: 03/10/10
投稿数: 351
Ivyさん、了解です!

 Tuesday, January 16 2018 @ 12:51 AM UTC  

状態: オフライン

kuro

Forum User

Active Member
登録日: 03/10/10
投稿数: 351
お世話になります。

アップグレードしようと思い、
phpMyAdminにてバックアップデータをインポートしようとしましたが、
途中でエラー。サイズ大きすぎ!?(T T)

仕方がないので、「移行」にてインストールを試みましたが、

エラーが、、、(T T)
PHP Formatted Code

注意 エラーの発生した行番号:300265: INSERT INTO `gl_mg_usage_tracking` VALUES(1513599085, 0, '', '', 'album_view', '長野公園の昆虫', '', '0');.
クエリ:INSERT INTO `gl_mg_usage_tracking` VALUES(1513599085, 0, '', '', 'album_view', 'é�·é��å�¬å��ã�®æ��è�«', '', '0');

MySQL:User 'd0372co2' has exceeded the 'max_questions' resource (current value: 300000)
 

 Tuesday, January 16 2018 @ 01:22 AM UTC  

状態: オフライン

kuro

Forum User

Active Member
登録日: 03/10/10
投稿数: 351
お世話になります。

phpMyAdminでは、全くインポートが出来ないわけではなくて、
レコード数が300,000 以内の299,617までインポート出来てるみたいでしたので、

部分インポートの
「先頭から数えたスキップするレコード(クエリ)の数」にすでにインポートした 299617 を入力して、
再度読み込ませましたところ、エラーでつつも読み込んだみたいです。^^;;

でもちゃんとインポートされてないのか?
Geeklogのアップグレードで、
PHP Formatted Code

Warning: Cannot modify header information - headers already sent by (output started at /virtual/サーバIP/data/ge/plugins/langsel/install_defaults.php:87) in /virtual/サーバIP/home/lib-common.php on line 7863 Warning: Cannot modify header information - headers already sent by (output started at /virtual/サーバIP/data/ge/plugins/langsel/install_defaults.php:87) in /virtual/サーバIP/home/lib-common.php on line 7864 Warning: Cannot modify header information - headers already sent by (output started at /virtual/サーバIP/data/ge/plugins/langsel/install_defaults.php:87) in /virtual/サーバIP/home/lib-common.php on line 7865
 

以上のようなエラーが。。。(T T)

 Tuesday, January 16 2018 @ 03:48 AM UTC  

状態: オフライン

kuro

Forum User

Active Member
登録日: 03/10/10
投稿数: 351
お世話になります。

その後、なんとかインストール成功しました!
結局、FTPでアップしたプラグインデータ(公開領域も非公開領域も)
を全て削除して、
アップグレードしたら成功しました。

ただ、データベースは部分インポートを使ってなんとかだましだまし?
インポートし、何か最後にちょろっとエラーでましたけど。^^;;

 Tuesday, January 16 2018 @ 06:04 AM UTC  

状態: オフライン

Ivy

Site Admin

管理者
登録日: 01/01/04
投稿数: 5809
場所:Tokyo
phpMyAdminでの、アップロードファイルのサイズ制限は、php.iniで変更できます。

sql形式を、圧縮してアップロードすると、サイズ制限にはひっかかりにくくなりますよ。

ともかくアップグレードおめでとうございます!

時刻はすべて UTC , 現在の時刻は 03:32 AM

  • 通常
  • 注目トピック
  • ロック済
  • 新着
  • 注目トピック 新着
  • ロック済トピック 新着
  • ゲストユーザの投稿を見る 
  • ゲストユーザ投稿可能 
  • 一部のHTMLを許可 
  • バッドワードをチェック